API·REFERENCE·RECORDS·GET·GENERATED
Get a record
GET
/tables/{tableId}/records/{id}
SCOPE:tables:read
Get a record
Authentication
Requires API key with tables:read scope.
Path parameters
| Name | Type | Description |
|---|---|---|
tableId | UUID | Path parameter. |
id | UUID | Path parameter. |
Request
(no body)
Response — 200 OK
{
"id": "00000000-0000-0000-0000-000000000000",
"fields": {
"example_key": null
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
Errors
| Status | Code | When |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key. |
| 403 | forbidden | API key lacks required scope. |
| 404 | not_found | Resource not found. |
| 429 | rate_limited | Token bucket exhausted. |
Code samples
curl https://api.onnie.ai/api/public/v1/tables/00000000-0000-0000-0000-000000000000/records/00000000-0000-0000-0000-000000000000 \
-H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'const response = await fetch('/tables/00000000-0000-0000-0000-000000000000/records/00000000-0000-0000-0000-000000000000', {
method: 'GET',
headers: {
'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
},
})
const data = await response.json(){
"server": "onnie",
"name": "getRecord",
"description": "GET /tables/{tableId}/records/{id}"
}